% APRENDIZAJE AUTOMÁTICO: UN ENFOQUE PRÁCTICO
% Autores: María Guijarro, P. Javier Herrera y Gonzalo Pajares
% Copyright RA-MA, 2010
% Capítulo 3: COMBINACIÓN DE CLASIFICADORES

%Estimador paramétrico de máxima verosimilitud 
function DATOS_CLASES = Bayesian (DATOS_CLASES,c)
   for i=1:1:c
     if DATOS_CLASES(i).numero_muestras == 1
        DATOS_CLASES(i).mediaBayes = DATOS_CLASES(i).muestras;
     else
        DATOS_CLASES(i).mediaBayes = mean(DATOS_CLASES(i).muestras);
     end
     DATOS_CLASES(i).covarianzaBayes = cov(DATOS_CLASES(i).muestras);
 end

